1. gustavok

    OP gustavok Member
    Newcomer

    Joined:
    Feb 16, 2019
    Messages:
    17
    Country:
    Brazil
    I searched online and people are saying that you need to update luma before you accept the nintendo firmware update, but for some reason every time I try to update i get this error, what can i do to fix it?
     

    Attached Files:

  2. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    14,351
    Country:
    United States
    I don't have my 3ds out to check, but it's possible that the updater is outdated. manually changed the boot.firm on the sd card, then do the same for the ctrNAND.
     
    alexander1970, fmkid and Hologram like this.
  3. gustavok

    OP gustavok Member
    Newcomer

    Joined:
    Feb 16, 2019
    Messages:
    17
    Country:
    Brazil
    How do I do that? I bought the console with custom firmware already installed.
     
  4. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    14,351
    Country:
    United States
    https://github.com/LumaTeam/Luma3DS/releases

    your updater is outdated. I just checked mine. it's version 3.5. replace the boot.firm on the sd card with the one from there. also, replace boot.3dsx for the homebrew launcher. rosalina will still work but it needs to be updated for use with the homebrew launcher.
     
    alexander1970 likes this.
  5. Tbone182a

    Tbone182a Advanced Member
    Member

    Joined:
    Nov 15, 2003
    Messages:
    74
    Country:
  6. gustavok

    OP gustavok Member
    Newcomer

    Joined:
    Feb 16, 2019
    Messages:
    17
    Country:
    Brazil
    I just put the files on my sd and there's a buch of options, is there any option that i shouldn't mark? the last two sound weird, "set developer unitinfo" and "disable arm11 exception handlers", should i mark these too?
     
  7. fmkid

    fmkid Just another GBATemp's random guy
    Member

    Joined:
    Apr 23, 2015
    Messages:
    1,733
    Country:
    Colombia
    Or download the latest version of Luma Updater, then install the .cia file through FBI and later open the Updater and finally update Luma automatically.

    — Posts automatically merged - Please don't double post! —

    Only mark the "Show NAND or user string..." option
     
    The Real Jdbye likes this.
  8. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    14,351
    Country:
    United States
    it depends. I'd suggest the option to add sys instead of ver to know you're on cfw, as well as locale (some out of region games don't work without it). I think dragon quest viii is one of them.
     
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08
    Member

    Joined:
    Mar 17, 2010
    Messages:
    20,277
    Country:
    Norway
    Update Luma Updater manually, your version is too old and doesn't work anymore.
    Edit: :ninja:
     
  10. gustavok

    OP gustavok Member
    Newcomer

    Joined:
    Feb 16, 2019
    Messages:
    17
    Country:
    Brazil
    The console is working properly but I still can't update through luma, i marked all but the last two options.
     
  11. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    14,351
    Country:
    United States
    install a newer version of the updater through fbi. I'm using 3.5 I believe. yours is very old.
     
  12. fmkid

    fmkid Just another GBATemp's random guy
    Member

    Joined:
    Apr 23, 2015
    Messages:
    1,733
    Country:
    Colombia
    Latest is 2.5, indeed

    Please read the another people posts above
     
  13. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    14,351
    Country:
    United States
    2.5 I mean then. it will install to ctrNAND, but you can also install that with godmode.
     
  14. gustavok

    OP gustavok Member
    Newcomer

    Joined:
    Feb 16, 2019
    Messages:
    17
    Country:
    Brazil
    That sounds easier, where do I download the .cia?
    i did that, is it safe now to do the nintendo update? when i opened luma updater it said that my current version is "10.2.1-c058e3f"
     
  15. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    14,351
    Country:
    United States
    install the latest official update. even if it didn't work, all you have to do is replace the boot.firm.
     
  16. gustavok

    OP gustavok Member
    Newcomer

    Joined:
    Feb 16, 2019
    Messages:
    17
    Country:
    Brazil
    It worked thanks for all the help! :)
     
    godreborn likes this.
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - through, update,